Skip to main content
POST
Browse accross resource or relationship collections in the data partition

Authorizations

X-Clinia-API-Key
string
header
required

Path Parameters

partitionKey
string
required

The partition from which to execute the query.

Body

application/json
collectionKeys
string[]
required

The collection keys to which the browse session applies.

params
object
required

Parameters to initiate a browse session. This object can contain a filter, a sort, and the number of results to return per page. The perPage property specifies the number of results to return per page, with a default value of 100 and a maximum of 1000.

Response

A successful response containting the first batch of results and a cursor to continue browsing. 5 minutes after the request, the cursor will expire and a 404 error will be returned if you try to continue browsing.

hits
object[]
required
meta
object
required

Metadata about the browse session, including the cursor and the total number of results available in the browse session.